import numpy as np
import torch
import matplotlib.pyplot as plt
import json
import h5py


def get_kinova_states(hdf5_path):
    with h5py.File(hdf5_path, 'r') as depth_file:
        print(depth_file.keys())
        positions=depth_file['positions'][()]
        #final_pose=np.zeros((len(positions),22))
        print(positions.shape)
    
if __name__ == '__main__':
    path="Open-Teach/extracted_data/demonstration_275/moving_robot_hand_cartesian_states.h5"
    final_pose=get_kinova_states(path)